%define source_extra_postfix -0-571-201608131246-ubuntu16.04.1
Summary:    Wallpaper changer that automatically downloads wallpapers
Name:       variety
Version:    0.6.2
Release:    1%{?dist}
License:    GPLv3
Source0:    https://launchpad.net/variety/trunk/%{version}/+download/%{name}_%{version}%{source_extra_postfix}.tar.gz
Group:      Applications/Multimedia
BuildArch:  noarch
Url:        https://launchpad.net/variety
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python-devel 
BuildRequires: python-setuptools 
BuildRequires: python-distutils-extra 
BuildRequires: python-beautifulsoup4 
BuildRequires: python-configobj 
BuildRequires: pyexiv2 
BuildRequires: intltool 
BuildRequires: python-imaging-devel
BuildRequires: yelp-devel
BuildRequires: python-pycurl
BuildRequires: dbus-python
BuildRequires: pycairo-devel
BuildRequires: desktop-file-utils
BuildRequires: python-httplib2
BuildRequires: python-pillow-devel
BuildRequires: python-lxml
BuildRequires: webkitgtk-devel
BuildRequires: libnotify-devel

Requires: ImageMagick
Requires: gtk3
Requires: libnotify
Requires: webkitgtk
Requires: python-lxml
Requires: python-pillow
Requires: python-httplib2
Requires: pycairo-devel
Requires: dbus-python
Requires: python-pycurl
Requires: yelp
Requires: python 
Requires: python-beautifulsoup4 
Requires: python-configobj 
Requires: python-imaging 
Requires: pyexiv2

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Variety changes the desktop wallpaper on a regular basis, 
using user-specified or automatically downloaded images.

Variety sits conveniently as an indicator in the panel 
and can be easily paused and resumed. The mouse wheel 
can be used to scroll wallpapers back and forth until 
you find the perfect one for your current mood.

Apart from displaying images from local folders, several 
different online sources can be used to fetch wallpapers 
according to user-specified criteria.

Variety can also automatically apply various fancy 
filters to the displayed images - charcoal painting, 
oil painting, heavy blurring, etc. - so that your 
desktop is always fresh and unique. 



%prep
%setup -q -n %{name}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root %{buildroot}


%clean
rm -rf %{buildroot}

%files 
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/variety.mo
%{_datadir}/%{name}/
%{python_sitelib}/jumble/
%{python_sitelib}/variety-*-py*.egg-info
%{python_sitelib}/variety/
%{python_sitelib}/variety_lib/
%{_datadir}/help/C/variety/
%{_datadir}/icons/hicolor/22x22/apps/variety-indicator-dark.png
%{_datadir}/icons/hicolor/22x22/apps/variety-indicator.png
%{_datadir}/icons/hicolor/scalable/apps/variety.svg


%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%changelog
* Fri Sep 2 2016 3ED <krzysztof1987 AT gmail DOT com> - 0.6.2-1
- Update to 0.6.2

* Wed Feb 17 2016 3ED <krzysztof1987 AT gmail DOT com> - 0.5.3-1
- Updated to 0.6.0
- Added post and postun for icon-cache and desktop-cache updates
- Upload to copr

* Mon Oct 05 2015 David Vásquez <davidjeremias82 AT gmail DOT com> - 0.5.3-1
- Updated to 0.5.5

* Wed Apr 22 2015 David Vásquez <davidjeremias82 AT gmail DOT com> - 0.5.3-1
- Updated to 0.5.3

* Thu Jan 08 2015 David Vásquez <davidjeremias82 AT gmail DOT com> - 0.5.0-1
- Updated to 0.5.0

* Sat Jul 19 2014 David Vásquez <davidjeremias82 AT gmail DOT com> - 0.4.20-1
- Updated to 0.4.20

* Thu Jul 10 2014 David Vásquez <davidjeremias82 AT gmail DOT com> - 0.4.18-1
- Updated to 0.4.18

* Thu Dec 19 2013 David Vásquez <davidjeremias82 AT gmail DOT com> - 0.4.17-3
- Added some requires

* Thu Nov 7 2013 David Vásquez <davidjeremias82 AT gmail DOT com> - 0.4.17-1
- Updated to 0.4.17

* Thu Jun 13 2013 David Vásquez <davidjeremias82 AT gmail DOT com> - 0.4.15-1
- Initial build rpm
